SessionDock Developer Docs

Make your creative workflow programmable.

Authoritative guides, generated Local API reference, and practical patterns for local automation, scripts, launchers, and AI agents running alongside SessionDock.

Fetch waveform notes

GET/api/v1/sessions/{id}/waveform-notes
curl -X GET 'http://127.0.0.1:18432/api/v1/sessions/session_123/waveform-notes?variantId=preview_main' \
  -H 'Authorization: Bearer <token>'

Parameters

NameInTypeRequiredDescriptionExample
idpathstringYesSession identifier.session_123
variantIdquerystringNoOptional preview variant identifier.preview_main

Responses

200

Waveform notes

application/json

Schema Shape

{
  "data": {
    "sessionId": "<string>",
    "variantId": "<string>",
    "key": "<string>",
    "notes": [
      {
        "id": "<string>",
        "timestamp": 0,
        "text": "<string>",
        "createdAt": "2025-01-15T12:34:56Z",
        "updatedAt": "2025-01-15T12:34:56Z"
      }
    ]
  }
}

Example

{
  "data": {
    "sessionId": "<string>",
    "variantId": "<string>",
    "key": "<string>",
    "notes": [
      {
        "id": "<string>",
        "timestamp": 0,
        "text": "<string>",
        "createdAt": "2025-01-15T12:34:56Z",
        "updatedAt": "2025-01-15T12:34:56Z"
      }
    ]
  }
}
401

Missing or invalid bearer token.

application/json

Schema Shape

{
  "error": {
    "status": 0,
    "code": "<string>",
    "message": "<string>"
  }
}

Example

{
  "error": {
    "status": 401,
    "code": "unauthorized",
    "message": "Provide Authorization: Bearer <token>."
  }
}
404

No matching resource was found.

application/json

Schema Shape

{
  "error": {
    "status": 0,
    "code": "<string>",
    "message": "<string>"
  }
}

Example

{
  "error": {
    "status": 404,
    "code": "not_found",
    "message": "session not found"
  }
}
501

Waveform notes service is unavailable in the current runtime.

application/json

Schema Shape

{
  "error": {
    "status": 0,
    "code": "<string>",
    "message": "<string>"
  }
}

Example

{
  "error": {
    "status": 501,
    "code": "waveform_notes_unavailable",
    "message": "Waveform notes service is unavailable."
  }
}